Name:           perl-Class-Prototyped
Version:        1.11
Release:        3%{?dist}
Summary:        Fast prototype-based OO programming in Perl
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Class-Prototyped/
Source0:        http://www.cpan.org/authors/id/T/TE/TEVERETT/Class-Prototyped-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires:  perl(Module::Build)
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
This package provides for efficient and simple prototype-based programming
in Perl. You can provide different subroutines for each object, and also
have objects inherit their behavior and state from another object.

%prep
%setup -q -n Class-Prototyped-%{version}

cat <<EOF >%{name}-prov
#!/bin/bash
# Filter out bogus provides from documentation
%{__perl_provides} $@ |sed -e 's/perl([ABCD])//g;s/perl(My[^)]*Class)//g'
EOF

cat <<EOF >%{name}-req
#!/bin/bash
# Class/Prototyped/Graph.pm doesn't define Class::Prototyped::Graph package
# Benchmark is dragged in by a regression test
%{__perl_requires} $@ |sed -e '/perl(Class::Prototyped::Graph)/d;/perl(Benchmark)/d'
EOF

%global __perl_provides %{_builddir}/Class-Prototyped-%{version}/%{name}-prov
%global __perl_requires %{_builddir}/Class-Prototyped-%{version}/%{name}-req
chmod +x %{__perl_provides} %{__perl_requires}

# Documentation and libraries should not be executable
chmod -x perf/* examples/* Changes lib/Class/*.pm lib/Class/Prototyped/*


%build
%{__perl} Build.PL installdirs=vendor
./Build

%install
rm -rf %{buildroot}

./Build install destdir=%{buildroot} create_packlist=0
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null \;

%{_fixperms} %{buildroot}/*

%check
./Build test

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc Changes README perf/ examples/
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Sun Mar  9 2009 Lubomir Rintel <lkundrak@v3.sk> 1.11-3
- Fix permissions
- Fix requires/provides

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.11-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Wed Mar  5 2008 Tom "spot" Callaway <tcallawa@redhat.com> 1.11-1
- 1.11

* Wed Mar  5 2008 Tom "spot" Callaway <tcallawa@redhat.com> 1.10-3
- rebuild for new perl

* Mon Apr 30 2007 Chris Weyl <cweyl@alumni.drew.edu> 1.10-2
- bump

* Mon Apr 09 2007 Chris Weyl <cweyl@alumni.drew.edu> 1.10-1
- Specfile autogenerated by cpanspec 1.70.
